## org.apache.cassandra.db
Class CollationController

    java.lang.Object
      org.apache.cassandra.db.CollationController

    public class CollationController

extends java.lang.Object

Constructor Summary
`CollationController(ColumnFamilyStore cfs, boolean mutableColumns, QueryFilter filter, int gcBefore)`

Method Summary
`int` `getSstablesIterated()`
`ColumnFamily` `getTopLevelColumns()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollationController

    public CollationController(ColumnFamilyStore cfs,
                               boolean mutableColumns,
                               QueryFilter filter,
                               int gcBefore)

Method Detail

### getTopLevelColumns

    public ColumnFamily getTopLevelColumns()

### getSstablesIterated

    public int getSstablesIterated()

Copyright © 2012 The Apache Software Foundation